About File Viewer Utility

The File Viewer Utility allows users to list JPEG and RAW images taken with a Canon camera, save those images as files, and transfer the files to applications.

Users can check the images in the viewer and make fine quality adjustments, and then convert the RAW images into more common formats, such as TIFF or JPEG.

[The File Viewer Utility enables users to do the following:]

  1. List images in the camera or computer

  2. Make fine adjustments to RAW images

  3. Use a variety of image management options (copy folders or images, delete, move)

  4. Use a variety of image editing options (rotate, enter comments, add protection, set up IPTC information)

  5. Display preview images

  6. Display all types of image information (shooting conditions, histogram, RGB values for specific points, etc.)

  7. Print, save, and transfer index sheets

  8. Play the corresponding voice narration

  9. Camera Settings


Introduction to the Main Window

[Folder Tree Display] area

  • A folder hierarchy tree for the computer is displayed on the left side of the main window.

  • When you connect a camera to the computer, a camera icon is also displayed in this area. Double-click the camera icon to display the folder hierarchy within the camera.

[Image] area

  • A list of image thumbnails from the folder selected in the folder tree is displayed in the center of the main window. (when you are in Thumbnail display mode)

  • Use the mouse and keyboard to select one or more images in the thumbnail list to work on or edit. The selected images are highlighted.

  • You can focus on just one image in the thumbnail list using the mouse and keyboard. The focus image is displayed with a heavy border and becomes the image for which you display image information, display a histogram, enter comments or perform other operations.

  • You can also switch the display mode to Preview, which displays the selected image enlarged in the image display area.

[Histogram Display] area

  • Allows you to display a histogram for the focus image in the top right of the main window.

[Image Information Display] area

  • Allows you to display image information for the focus image in the bottom right of the main window. The image information that is displayed includes the file name, camera model, date and shooting conditions.

[Toolbar] area

  • A variety of buttons and list boxes for working with and editing the selected image is available in the toolbar area at the top of the main window. Passing the cursor over each button or list box displays a tool tip showing the item name.

[Comment Input] field

  • This is a field in the image display area to display and edit comments entered for the focus image. Comments can be up to 120 single-byte characters or 60 double-byte characters.


Selecting and Focusing on Images

This section describes how to select and focus on images in the image display area.

To select an image:

When an image is selected, the corresponding thumbnail is highlighted. You can do the following with a selected image.

  1. Transfer it to an application

  2. Saving a File

  3. Protect setting

  4. Setting IPTC Information

  5. Rotate

  6. Erase

  7. Copy or move it

  8. Preview

  9. JPEG Preview

  10. Adjust the image quality of RAW images

  11. Print and save an index print

  12. Extracting JPEG

To focus on an image:

A frame appears around the most recently selected image. Only the image with the frame is considered to be the focus image. You can do the following with a focus image.

  1. Select or unselect it using the space bar

  2. Display corresponding image information

  3. Display the corresponding histogram

  4. Enter a comment

  5. Play the corresponding voice narration

  6. Save the white balance coefficient


Selecting Images

Instructions for selecting images are given below.

To select one image at a time:

Follow the steps below to select an image.

  1. Click on the thumbnail of the image to select that image.

  2. Press an arrow key on the keyboard to move the selection to the adjacent image.

  3. Click the [Select Next Image] or [Select Previous Image] button in the toolbar to move the selection to the next or previous image.

  4. Click the [Select first Image] or [Select final image] button in the toolbar to move the selection to the first or last image.

  5. Enter an image number in the [Selected Image Number] field and press the Enter or Tab key to move the selection to the image with the specified image number.

To select multiple images:

Use the Ctrl or Shift key to select more than one image at a time.

  • Click on the first image to select it, and then hold down the Ctrl key while clicking on the other images to select them.

  • When an image is selected, hold down the Ctrl key and press an arrow key to move the focus to the adjacent image. Press the space bar to add the focus image to the selections. Press the space bar again to remove the focus from the image and unselect it.

  • Click on the first image to select it, and then hold down the Shift key while clicking on another image to select all of the images from the first image to the clicked image.

  • When an image is selected, hold down the Shift key while pressing an arrow key to move the focus to the adjacent image and select all of the images from the first image to the new focus image.


Using the Folder Tree

Instructions for using the folder tree displayed on the left side of the main window are given below.

[Expanding the folder]

  • If a plus ("+") icon is displayed to the left of a drive or folder icon, you can click it to view the folder hierarchy of that drive or folder. Conversely, if a minus ("-") icon is displayed, you can click it to close the view of the folder hierarchy.

  • You can also double-click on a drive or folder icon to open or close the folder hierarchy/content view.

[Selecting the folder]

  • Click on a folder displayed in the folder tree to select it.

  • Data for images saved in the selected folder are displayed in the image area in the center of the main window.

  • If the folder you want to select is not displayed in the folder tree, open the folder above, and trace the path in the folder tree to locate the target folder.

[Copying the folder]

  • Once a folder is selected, you can copy it by dragging it to the destination folder. However, if you drag it to a location on the same drive, the folder will be moved, so to copy a folder to a different location on the same drive, hold down the Ctrl key as you drag and drop the folder.

[Moving the folder]

  • Once a folder is selected, you can move it by dragging it to the destination folder. However, if you drag the folder to a different drive, it will be copied, so to move a folder to a different drive, hold down the Shift key as you drag and drop the folder.

Tip:

When a camera is connected, a camera icon is displayed in the folder tree. When you click on the camera icon, a DCIM folder is normally displayed. You can drag this DCIM folder to a drive or folder on the computer to copy the image data in the camera to the computer. (when you drag a folder in the camera to the computer, it is always copied)


File Menu

New Folder

Create a new folder under the folder selected in the folder tree.

Save File >

Converting and Saving Files

Allows you to open the [Save File] dialog box and save the selected image as a file. Option settings in the [Save File] dialog box make it possible to convert RAW images to JPEG or TIFF files and save them.

Extracting & Saving JPEGs...

Opens the [Extract & save JPEGs] dialog box and allows you to extract JPEG images embedded in RAW images and save them. This feature is only available for RAW images taken with some cameras.

Save Index...

Opens the [Save Index] dialog box and allows you to create an index sheet for the images selected in the image display area and save it.

Transferring Images

Allows you to transfer images selected in the image display area to another application. Set the image transfer destination application in advance in the Preferences dialog box.

Delete Folder

Allows you to delete the folder selected in the folder tree as well as all of the folders and files under that folder. (you cannot delete folders in the camera)

! Once a file or folder is deleted it cannot be recovered, so carefully check the contents of the selected folder before using the [Delete Folder] menu.

Change Folder Name

Change the name of the folder selected in the folder tree.

Page Setup...

Displays the Page Setup dialog for the printer driver installed on your computer. Page Setup results are reflected when an index print is made.

Print Index...

Create and print an index sheet of images selected in the image display area. Be sure that a printer is connected when you use this function. The correct printer driver for the connected printer must also be properly installed.

Camera Settings

Display the Camera Settings dialog and apply settings for the currently selected camera. To apply camera settings, the camera and the computer must be properly connected by cable.

Preferences...

Open the Preferences dialog box. In the Preferences dialog box you can make basic settings for this software, including the image transfer destination application and the RAW image conversion method.

Exit

Exit the File Viewer Utility.


Edit Menu

Cut

Allows you to cut the character string selected in the comment entry field.

Copy

Allows you to copy the character string selected in the comment entry field or the image information area to the clipboard.

Paste

Allows you to paste the character string copied to the clipboard into the comment entry field.

Select >

Select first Image

Allows you to select and set the first image in the list as the focus.

Select Previous Image

Allows you to select and focus on the image before the currently focused image.

Selected Image Number...

Allows you to directly enter a number to select and focus on an image.

Select Next Image

Allows you to select and focus on the image after the currently focused image.

Select final image

Allows you to select and focus on the last image in the list.

Select All

Allows you to select all of the thumbnail images in the image display area.

Select all protected images

Allows you to select all of the protected images among the listed thumbnail images.

Select all unprotected Images

Allows you to select all of the images that are not protected among the listed thumbnail images.

Delete Selection

Unselects any selected images.

Rotate left 90 degrees

Rotates the selected image 90° counterclockwise.

Rotate right 90 degrees

Rotates the selected image 90°clockwise.

Deleting Images

Deletes all of the selected images in the image display area. (you cannot delete images in the camera)

! Once an image is deleted it cannot be recovered, so carefully check which images are selected before using the [Erase image] menu.

Protect setting

Allows you to set erase protection for the selected images.

Protected images cannot be deleted using this software.

Remove protect

Allows you to release erase protection for the selected protected images.


View Menu

Refresh

Updates the folder tree and image display area to the latest status.

Display Mode >

Thumbnail display

Displays a list of thumbnail images from the selected folder in the image information area.

Preview

Displays previews of the selected images in the image information area, one at a time. When multiple images are selected in Thumbnail mode and you switch to Preview mode, previews are only shown for the selected images. Conversely, when you switch from viewing a single image in Thumbnail mode to Preview mode, you can preview all of the images in the selected folder.

JPEG Preview

Displays JPEG previews of the images selected in the image information area, one at a time.

In JPEG Preview mode, you can display previews of RAW images at high speed without developing the RAW images. However, in this mode, image quality adjustments for RAW images are not reflected in the previews because the images being displayed are RAW images containing settings embedded at the time of capture.

Display Size >

Large

Display large versions of thumbnail and preview images.

Display preview images at 100% size.

Middle

Display normal size versions of thumbnail and preview images.

Display preview images at 50% size.

Small

Display small versions of thumbnail and preview images.

Display preview images at 25% size.

Thumbnail Frame >

Show

Displays frames around thumbnail images in Thumbnail display mode. Information such as the file name, capture date, RAW icon, protection icon, voice annotation icon, digital exposure compensation value, etc. are displayed in the thumbnail frame.

Hide

Hides the frames around thumbnail images in Thumbnail display mode. This makes it possible to display more thumbnail images within the same area.

Information Area >

Show

Shows the histogram display area and the image information display area.

Hide

Hides the histogram display area and the image information display area.


Help Menu

Help Topics

Displays this Help.

About File Viewer Utility

Displays the About File Viewer Utility dialog box.


Adjusting the Quality of a RAW Image and Saving the Image to a File

You can convert a RAW image taken on a Canon digital camera that supports RAW capture mode to common file formats, such as TIFF or JPEG, using development parameters set in File Viewer Utility and then saving it.

Follow the steps below to adjust the quality of a RAW image, convert it, and save it.

  1. From the folder tree, select the folder where the RAW image is saved.

  2. Select the image for which to adjust the quality.

  3. Select the type of camera you are using in the [Model-specific processing mode] list box in the toolbar at the top of the main window.

  4. The types of RAW processing controls for adjusting image quality are displayed at the bottom of the toolbar. Adjust to the desired quality (the results of the adjustment are immediately reflected in the thumbnail image or the preview image)

  5. When the adjustment is finished, select the [Convert and save in file] menu, and save the image in TIFF or JPEG format.

Tip:

  • If the display mode is [JPEG Preview], the adjustment results are not reflected in the display. Be sure to check the adjustment results in [Thumbnail display] or [Preview] mode.

Tip:

What are RAW images and [Model-specific processing mode]?

  • Images shot in RAW mode on a Canon digital camera that supports RAW capture mode are called "RAW images." RAW images are in a format unique to Canon and cannot be opened in commonly available software.

  • You can develop a RAW image in the File Viewer Utility and then save the image on the computer in common formats, such as TIFF or JPEG.

  • When you develop an image in the File Viewer Utility, you can set a variety of image quality adjustment parameters. After adjusting the RAW image to the desired quality using this image quality adjustment function, you can convert the image to a common format, such as TIFF or JPEG, and save it on the computer.

  • Available image quality adjustment parameters differ depending on the camera model, so first select the camera you are using in the [Model-specific processing mode] list box and then use the RAW data processing controls displayed in the bottom of the toolbar to adjust the image quality.


Preferences

  • Select [Preferences...] from the [File] menu to open the [Preferences] dialog box.

  • The [Preferences] dialog box contains a [General Settings] tab and a [RAW Image Processing settings] tab.

  • Press the [Default] button to return to the default settings.

[General Settings]

You can set the following items in the [General Settings] page.

1. Image Transfer Application

This allows you to specify the application software to transfer images to when the [Transfer Images] menu is selected. Specify an executable application software file that can open JPEG, TIFF and other image file formats.

2. Image transfer folder

When you transfer an image to an application, the image file is generated in the image transfer folder specified in this field, and then this image file is opened by the specified application.

Tip:

A file is generated in the image transfer folder each time an image is transferred.

To increase the amount of free space on your hard disk, periodically clean up the image transfer folder by using Explorer or another tool to delete files that are no longer necessary.

3. Items Displayed at the Bottom of the Image

You can select to display the [File Name] or [Shooting Date/Time] at the bottom of images in the image display area.

4. Specification of Output File Resolution

Specifies the resolution during an image transfer or file save.

[RAW Image Processing settings]

In the [RAW Image Processing settings] page, you can set up RAW image conversion for each model. Registered model-specific processing modes are listed in the [Camera Model Name] list box. After selecting your camera model's name from the list box, perform the setup used in RAW conversion.

You can set the items below during RAW conversion.

(Configurable items vary by camera type.)

[Linear]-When this checkbox is selected, linearized converted images are transferred and saved when you transfer 16-bit images to an application or when you save TIFF (16-bits/channel) files.

[16%Always Preview Using 16% Reduced Image Size]-When this checkbox is selected, RAW image previews are displayed at a 16% reduced image size. Processing reduced images enables you to check your development results more quickly. Sharpness settings are not properly reflected because development is performed on reduced images.

[Transferring images to application]-Sets the bit count (transfer color at either 8 bits or 16 bits) for converting and transferring RAW images. If you transfer 16-bit images, the application receiving the images must be able to support 16-bit color.

[Also Get JPEG Image]- When this checkbox is selected, at the time that RAW+JPEG images taken on a camera that supports a RAW+JPEG mode are transferred to an application, the JPEG images are transferred at the same time.


Camera Settings

Instructions for setting or checking camera settings are given below. You can check the firmware version and the total or available memory on the memory card as well as set the owner name, date, time, etc.

To set or check camera settings:

Connect the camera to the computer and click the [Camera Settings] button in the toolbar to open the Camera Settings dialog box. The Camera Settings dialog box is used to set or check camera settings.

Tip:

  • The settings that can be checked or changed in the Camera Settings dialog box differ depending on the camera model.

  • Before opening the Camera Settings dialog box, first connect the cable between the camera and computer, and set the camera to the correct mode for connecting to the computer.

  • If the Camera Settings dialog box does not appear, check the camera mode and cable connection.


Transferring Images

  • Select the [Transfer Images] menu to transfer selected images to an image transfer application previously specified by the [Preference] dialog box.

  • You can specify the transfer mode when you transfer images using the [Image transfer mode] list box in the toolbar at the top of the main window.

  • Two different transfer modes are available: [Single-Frame Transfer] transfers images one at a time, and [Transfer as Index Image] creates and transfers an index sheet.

  • If the transfer mode is [Transfer as Index Image] in the [Transfer Images] menu, an [Index sheet options] dialog box opens. Set the [Width], [Height], and [Resolution], then click the [OK] button.


Converting and Saving Files

Set the following options in the [Convert and save in file] dialog box, which is displayed from the [Convert and save in file] menu, to convert and save selected images.

[Save folder]

  • Specify the destination folder for saving files.

[Convert from RAW to Other Format]

  • Specify the output format for converting and saving RAW images.

  • To prevent duplicate file names, the characters "_RJ" are inserted before the file name extension when converting from RAW to JPEG format. Similarly, the characters "_RT8" are inserted for conversion to 8-bit TIFF format, and "_RT16" are inserted for conversion to 16-bit TIFF format.

  • Select one of four compression levels when converting to Exif-JPEG images.

[Rename File]

Change the name of the file when saving. If you do not want to change the file name, select the [Do Not Modify] check box.

  1. Specify the initial character string (up to 12 ASCII characters).

  2. Add a sequence number. In this case, specify the number of digits (up to 9) and the starting number.

[Save in RAW+JPEG Format]

When saving a RAW+JPEG image, you can select the following options in the [Save in RAW+JPEG Format] list box.

  1. Both

  2. RAW Only

  3. JPEG Only

[Saving Audio File]

If the [Also Save Audio File] check box is selected, the audio file is saved in the same directory as the image file.

Tip:

If a rotated image is converted from RAW to TIFF or RAW to JPEG, the resulting image is also rotated. However, if a RAW image is saved in RAW format or a JPEG image in JPEG format, the rotation flag is set in the file header but the image itself is not rotated. As a result, the image will not appear rotated if it is opened using an application that does not support the Exif rotation flag (Orientation tag).


Deleting Images

If you no longer want to keep photo image files on your camera or computer, you can erase the unwanted images. Erasing permanently removes the image from the memory in your camera or computer.

To erase an image or voice narration:

  1. Select the image to erase.

  2. Click the [Erase Image] button.

This erases the image and any associated voice narrations. For images shot in RAW+JPEG mode, both the RAW and JPEG images are erased.

Tip:

  1. There is no way to restore an erased image. Before erasing an image, be sure that you no longer want to keep it on your camera or computer.

  2. Protected images cannot be erased using this software. After releasing the protection using the [Remove protect] button, erase the image.


Setting IPTC Information

Press the [IPTC information] button to display the [IPTC information setting] dialog box, which allows you to apply IPTC information settings. This feature is only available for RAW images taken with some cameras.

In the [IPTC information setting] dialog box, you can enter information stipulated by the Newspaper Association of America (NAA) and the International Press Telecommunications Council (IPTC) (hereinafter called "IPTC Information") into an image file.

See:

Available IPTC Information Settings

To set IPTC information:

Follow the steps below to set IPTC information for an image listed on screen.

  1. Select an image that supports IPTC information settings.

  2. Click the [IPTC information] button to display the [IPTC information] dialog box.

  3. Enter the IPTC information in the [IPTC information] dialog box, and click the [Save] button.

  4. If more than one image is selected, use the [Next >] or [< Previous] button to select the desired image, enter the IPTC information, and click the [Save] button.

  5. After setting the IPTC information for all of the selected images, click the [OK] button.

Tip:

  • If images that do not support IPTC settings are among the selected images, all of the controls in the [IPTC information setting] dialog box are disabled for those images.

  • Click the [Go Back] button to enter the settings from the image selected prior to the image currently selected by either the [Next>] or the [<Previous] button into all three tabbed pages for the newly selected image. This function is useful if the IPTC information being entered is the same or partially the same for more than one image.

  • Click the [Clear] button to clear the entries from all three tabbed pages.

  • Only ASCII text is allowed.

To save IPTC information in a file:

Follow the steps below to save the IPTC information from all three tabbed pages of the IPTC dialog box into an IPTC information file (*.IPK).

  1. Enter the [IPTC information] into all three tabbed pages.

  2. Click the [Save As...] button to open the [Save As] dialog box.

  3. Specify the destination folder and the file name in the [Save As] dialog box, and then click the [Save] button.

To load IPTC information from a file:

You can load the IPTC information saved in an IPTC information file (*.IPK) into the three tabbed pages of the IPTC dialog box.

  1. Click the [Read...] button to open the [Read] dialog box.

  2. Specify the folder and file name of the IPTC information file (*.IPK) in the [Read] dialog box, and then click the [Open] button.


Available IPTC Information Settings

The following IPTC information can be set in this software.

Only ASCII text is allowed.

[1] Title

Allows you to enter a title for the image. (up to 64 characters)

[2] Sender's City

Allows you to enter the city from which the image is being sent. (up to 32 characters)

[3] Photo No.

Allows you to enter a number or code that identifies the company (organization, etc.) capturing the image (up to 32 characters)

[4] Caption

Allows you to enter a description of the image. (up to 2000 characters)

[5] Caption Creator

Allows you to enter the name of the person who entered the caption. (up to 32 characters)

[6] Photographer

Allows you to enter the name of the photographer who took the image. (up to 32 characters)

[7] Photographer's Title

Allows you to enter the title of the photographer who took the image. (up to 32 characters)

[8] Service ID

You can enter up to 10 characters.

[9] Priority

Select an appropriate status from the [Priority] menu.

(1: High priority 5: Normal 8: Low)

[10] Special Instructions

Allows you to enter necessary editing instructions. (up to 256 characters)

[11] Shooting Date

Allows you to enter the image capture date. (fixed 8 characters)

[12] Shooting Time

Allows you to enter the image capture time. (fixed 11 characters)

[13] Media

Allows you to enter the name of the device used to generate the image data. (up to 32 characters)

[14] Category

Allows you to enter a category for the image using a company-specific code. (up to 3 characters)

[15] Sub-Category

Allows you to enter additional category information. (up to 32 characters)

[16] Key Word

Allows you to enter company-specific keywords for searching (up to 32 characters)

[17] Subtitle

Allows you to enter a subtitle for the image. (up to 256 characters)

[18] Credits

Allows you to enter credits for the image. (up to 32 characters)

[19] Original Owner

Allows you to enter the original owner of the image.


Voice Narration Playback

Cameras that have a voice narration recording function can store a voice narration along with an image. If a voice narration is associated with an image, a small musical note icon is displayed in the thumbnail frame. A voice narration can be saved as a separate WAV file (*.wav).

  • To play back a voice narration, click the [Play sound] button. This displays the voice narration control and plays the voice narration.

  • To pause voice narration playback, click the Pause button in the voice narration control.

  • To stop voice narration playback, click the [Stop] button in the voice narration control.

  • To restart playing the voice narration, click the [Play] button in the voice narration control.

  • To exit voice narration playback and perform a different operation, close the voice narration control.

Tip:

  • See the camera's user manual for more information about how to record voice narrations.


Extracting & Saving JPEGs

You can select a RAW image and save to a JPEG extracted image.

!This feature is only available for RAW images taken with some cameras.

To save an extracted JPEG image:

Follow the steps below to save an extracted JPEG image to a file.

  1. Select the RAW image you want to transfer.

  2. Select the [Extract & Save JPEG] menu to open the [Extract & Save JPEGs] dialog box.

  3. Select the save destination folder.

  4. Set the file save options as necessary.

  5. Click the [OK] button.

Tip:

An extracted JPEG image is a JPEG image that was embedded in a RAW image. Extracting JPEGs from the RAW images makes it possible to easily generate JPEG images that can be viewed in other software without having to develop the RAW images.